package pack;

import java.util.Scanner;

public class Main {
    public static void main(String args[]) {
        Scanner input = new Scanner(System.in);

        System.out.print("Enter n: ");
        int n = input.nextInt();
        System.out.print("Enter m: ");
        int m = input.nextInt();
        System.out.print("Enter police numbers: ");
        int pn = input.nextInt();

        PlayGround playGround = new PlayGround(n, m, pn);
        int[][] positions = playGround.putRandom();

        Thief thief = new Thief(positions[pn][0], positions[pn][1]);

        Police[] polices = new Police[pn];
        for (n = 0; n < pn; n++)
            polices[n] = new Police(positions[n][0], positions[n][1]);

        //--------------------------------------------------------------------------------

        int i, I = 1;
        int[][] thiefSituation = new int[1][2];

        int c = 0;
        for (int j, z = 0; z < playGround.getNM()[0][0]; z++)
            for (j = 0; j < playGround.getNM()[0][1]; j++)
                if (playGround.getGround()[z][j] == 1)
                    c++;
        System.out.println("c ============== " + c);


        playGround.show(5000);
        do {
            thiefSituation = playGround.canPoliceSeeThief();

            if (thiefSituation == null) {
                System.out.println("randomMove");
                for (i = 0; i < pn; i++)
                    polices[i].randomMove(n, m, playGround);
            } else {
                for (i = 0; i < pn; i++) {
                    polices[i].targetedMove(thiefSituation, playGround);
                    if (playGround.getCatchThief()) break;
                }
            }
            playGround.show(1250);
            if (playGround.getCatchThief()) System.out.println("they catch him!");
            System.out.print("\n\n\n\n");
        } while (!playGround.catchThief());


    }

}


















